corelinux::Context Class Reference

Context defines the interface to clients and maintains an instance of a State subclass. More...

`#include <Context.hpp>`

## Public Member Functions

| Context (void)
| Default Constructor.
| Context (ContextCref)
| Copy Constructor. More...
virtual | ~Context (void)
| Virtual Destructor.
ContextRef | operator= (ContextCref)
| Assignment operator overload. More...
bool | operator== (ContextCref) const
| Equality operator overload. More...
virtual void | request (void) throw ( NullPointerException )
| Invoke a context request which is delegated to State.
virtual void | changeState (StatePtr)
| Change the state of the context.

## Protected Member Functions

StatePtr | getState (void) const
| Retrieve the state instance.
void | setState (StatePtr)
| Set the state instance.

## Detailed Description

Context defines the interface to clients and maintains an instance of a State subclass.

## Constructor & Destructor Documentation

corelinux::Context::Context | ( | ContextCref | aContext | ) |

Copy Constructor.

Parameters

  Context | const reference

## Member Function Documentation

ContextRef corelinux::Context::operator= | ( | ContextCref | aContext | ) |

Assignment operator overload.

Parameters

  Context | const reference

Returns
  Context reference to self

References getState(), and setState().

bool corelinux::Context::operator== | ( | ContextCref | aContext | ) | const

Equality operator overload.

Parameters

  Context | const reference

Returns
  true if equal, false otherwise

The documentation for this class was generated from the following files:

- Context.hpp
- Context.cpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium